<?php
namespace Modules\Delegation\Rules;

use Psr\Http\Message\ServerRequestInterface;

// @phpcs:ignore
class PermanentDelegation
{
    /** @var ServerRequestInterFace $request */
    protected ServerRequestInterface $request;
    
    /** @var \PDO $pdo */
    protected \PDO $pdo;
    
    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request  = $request;
        $this->pdo      = $pdo;
    }


    /**
     * @return bool
     */
    public function index(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxDetail(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function create(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxAddTrigger(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxGetTriggerZoom(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxUpdateTriggerList(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function edit(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function validate(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function delete(): bool
    {
        return true;
    }
}
